Nova 2 Lite
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
Amazon Nova 2 Lite is AWS's fast, cost-efficient multimodal model for high-volume workloads. It was released on December 1, 2024. It accepts text, images, video, and documents as input and produces text output, supports up to a 1M token context window, and can generate up to 65,536 tokens per response. Nova 2 Lite is designed for tasks like RAG, agentic workflows, and multimodal understanding where low latency and cost efficiency are priorities. Pricing is based on input and output tokens; see Amazon Bedrock pricing for current rates.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| nova-2-lite | Dec 1 2024 | Document, Image, Text, Video | Text | 1,000,000 | See Amazon Bedrock pricing |
1Mrepresents 1 Million Tokens- Pricing varies by region and usage tier; see Amazon Bedrock pricing for current rates
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "nova-2-lite",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="nova-2-lite", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "nova-2-lite",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- AWS - AI Service Card (Amazon Nova 2 Lite)
https://docs.aws.amazon.com/ai/responsible-ai/nova-2-lite/overview.html- AWS - What is Amazon Nova 2?
https://docs.aws.amazon.com/nova/latest/nova2-userguide/what-is-nova-2.html- AWS - Amazon Bedrock supported foundation models
https://docs.aws.amazon.com/bedrock/latest/userguide/models-supported.html- AWS - Amazon Bedrock pricing
https://aws.amazon.com/bedrock/pricing/